import { RegExpParser as p } from "../../../../../../@chevrotain_regexp-to-ast@11.0.3/node_modules/@chevrotain/regexp-to-ast/lib/src/regexp-parser.js";
let r = {};
const s = new p();
function g(n) {
  const e = n.toString();
  if (r.hasOwnProperty(e))
    return r[e];
  {
    const t = s.pattern(e);
    return r[e] = t, t;
  }
}
function a() {
  r = {};
}
export {
  a as clearRegExpParserCache,
  g as getRegExpAst
};
